import 'dart:typed_data';

import 'package:dttp/dttp.dart';
import 'dart:convert';
import 'dart:io';

void main() {
  var router = Router();
  var app = Vlod(router: router);

  router.get('/hello', (ctx) {
    Map testMap = {'hello': 'hello'};

    ctx.response.write(jsonEncode(testMap));
    ctx.response.close();
  });

  router.post('/postTest', (ctx) {
    print(ctx.body);
    ctx.response.close();
  });

  router.get('/kill', (ctx) async {
    await Process.run('fuser', ['3000/tcp', '-k']);
    ctx.response.close();
  });

  app.listen(3000);
}
